GNU Radio's SATELLITES Package

gr::satellites::matrix_deinterleaver_soft Class Reference

<+description of block+> More...

`#include <matrix_deinterleaver_soft.h>`

Inheritance diagram for gr::satellites::matrix_deinterleaver_soft:
[legend]

## Public Types
typedef boost::shared_ptr< matrix_deinterleaver_soft > | sptr

## Static Public Member Functions
static sptr | make (int rows, int cols, int output_size, int output_skip)
| Return a shared_ptr to a new instance of satellites::matrix_deinterleaver_soft.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<matrix_deinterleaver_soft> gr::satellites::matrix_deinterleaver_soft::sptr

## Member Function Documentation

## ◆ make()

sptr gr::satellites::matrix_deinterleaver_soft::make | ( | int | rows,
|  | int | cols,
|  | int | output_size,
|  | int | output_skip )
| static

Return a shared_ptr to a new instance of satellites::matrix_deinterleaver_soft.

To avoid accidental use of raw pointers, satellites::matrix_deinterleaver_soft's constructor is in a private implementation class. satellites::matrix_deinterleaver_soft::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- matrix_deinterleaver_soft.h